#include <stdio.h>
#include "eef_plugin.h"

EES_PL_RC plugin_initialize(int argc, char* argv[]){
	EEF_log(LOG_DEBUG, "Initializing plugin ees_dummy_good!\n");
	return EES_PL_SUCCESS;
}

EES_PL_RC plugin_run()
{
    aos_context_t    *_context        = NULL;
    aos_attribute_t  *_tmp_attr       = NULL;

    if((_context = createContext(OBLIGATION)) != NULL)
    {
        setContextObligationId(_context, "my_obligation");
        if((_tmp_attr = createAttribute()))
        {
            setAttributeId(   _tmp_attr, "attrib_id");
            setAttributeValue(_tmp_attr, "attrib_value", strlen("attrib_value")+1);
        }
        addAttribute(_context, _tmp_attr);
        addContext(_context);

    	EEF_log(LOG_DEBUG, "Adding dummy obligation and attribute\n");
    }

    aos_dump_argslist();

  /*eef_log(LOG_ERR, "Setting 'foo'\n");*/
  /*AOS_set_string("foo", "bar");*/
	/* EEF_log(LOG_DEBUG, "Getting 'pemstring'\n"); */
  /*eef_log(LOG_ERR, "my_pemstring: %s\n", getObligation("my_pemstring"));*/
	/* EEF_log(LOG_DEBUG, "Setting 'pemstring' leeg\n"); */
  /*setObligation("my_pemstring", "Leeggehaald\n");*/
  /*setObligation("foo", "barbaz");*/
  /*destroyObligation("my_pemstring");*/

    return EES_PL_SUCCESS;
}

EES_PL_RC plugin_terminate(){
  return EES_PL_SUCCESS;
}
